<%@ Page Language="VB" AutoEventWireup="true" CodeFile="Default.aspx.vb" Inherits="_Default" %>

<%@ Register Assembly="RadGrid.Net2" Namespace="Telerik.WebControls" TagPrefix="radG" %>
<%@ Register Assembly="RadSplitter.Net2" Namespace="Telerik.WebControls" TagPrefix="radspl" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <script type="text/javascript">
            function ResizeSecondGrid(sender, eventArgs)
            {
                window["<%= RadGrid2.ClientID %>"].AjaxRequest("<%= RadGrid2.UniqueID %>", "ChangePageSize"); 
            }
            </script>

            <radspl:RadSplitter ID="RadSplitter1" runat="server" ResizeMode="AdjacentPane" Orientation="Vertical" Height="700px" Width="700px">
                <radspl:RadPane ID="calendarPane" runat="server" Height="400px" Width="400px">
                    <asp:Calendar ID="Calendar1" runat="server" BackColor="White" BorderColor="Black"
                        BorderStyle="Solid" CellSpacing="1" Font-Names="Verdana" Font-Size="9pt" ForeColor="Black"
                        NextPrevFormat="ShortMonth" Width="100%" Height="100%">
                        <SelectedDayStyle BackColor="#333399" ForeColor="White" />
                        <TodayDayStyle BackColor="#999999" ForeColor="White" />
                        <DayStyle BackColor="#CCCCCC" />
                        <OtherMonthDayStyle ForeColor="#999999" />
                        <NextPrevStyle Font-Bold="True" Font-Size="8pt" ForeColor="White" />
                        <DayHeaderStyle Font-Bold="True" Font-Size="8pt" ForeColor="#333333" Height="8pt" />
                        <TitleStyle BackColor="#333399" BorderStyle="Solid" Font-Bold="True" Font-Size="12pt"
                            ForeColor="White" Height="12pt" />
                    </asp:Calendar>
                </radspl:RadPane>
                <radspl:RadSplitBar ID="RadSplitBar1" runat="server" EnableResize="True" />
                <radspl:RadPane ID="nestedPane" runat="server" Width="400px" Height="80%">
                    <radspl:RadSplitter ID="nestedSplitter" runat="server" Orientation="Horizontal">
                        <radspl:RadPane ID="gridPane" runat="server" Scrolling="None">
                            <radG:RadGrid ID="RadGrid1" DataSourceID="AccessDataSource1" runat="server" EnableAJAX="true"
                                AllowPaging="true" PageSize="20" Width="100%">
                                <MasterTableView Width="99%" />
                                <ClientSettings>
                                    <Scrolling AllowScroll="true" UseStaticHeaders="true" ScrollHeight="80%" />
                                    <ClientEvents />
                                </ClientSettings>
                                <PagerStyle Mode="NumericPages" />
                            </radG:RadGrid>
                        </radspl:RadPane>
                        <radspl:RadSplitBar ID="RadSplitBar2" runat="server" EnableResize="True" />
                        <radspl:RadPane ID="listBoxPane" runat="server">
                            <asp:ListBox ID="ListBox1" runat="server" Width="100%" Height="100%">
                                <asp:ListItem Selected="True">item 1</asp:ListItem>
                                <asp:ListItem>item2</asp:ListItem>
                                <asp:ListItem>item3</asp:ListItem>
                            </asp:ListBox>
                        </radspl:RadPane>
                    </radspl:RadSplitter>
                </radspl:RadPane>
                <radspl:RadSplitBar ID="RadSplitBar3" runat="server" EnableResize="True" />
                <radspl:RadPane ID="paneResizePage" runat="server" Scrolling="None" Locked="true"
                    Width="400px">
                    <radspl:RadSplitter ID="spResizePage" runat="server" Orientation="Horizontal">
                        <radspl:RadPane ID="gridPane2" runat="server" OnClientPaneResized="ResizeSecondGrid"
                            Scrolling="None" Height="200px">
                            <radG:RadGrid ID="RadGrid2" DataSourceID="AccessDataSource2" runat="server" EnableAJAX="true"
                                AllowPaging="true">
                                <MasterTableView AllowPaging="true" />
                                <PagerStyle Mode="NumericPages" />
                            </radG:RadGrid>
                        </radspl:RadPane>
                        <radspl:RadSplitBar ID="RadSplitBar4" runat="server" EnableResize="True" />
                        <radspl:RadPane ID="paneEmplty" runat="server">
                        </radspl:RadPane>
                    </radspl:RadSplitter>
                </radspl:RadPane>
            </radspl:RadSplitter>
            <br />
            <asp:AccessDataSource ID="AccessDataSource1" DataFile="~/Grid/Data/Access/Nwind.mdb"
                SelectCommand="SELECT ContactName, ContactTitle, City, PostalCode FROM Customers"
                runat="server"></asp:AccessDataSource>
            <asp:AccessDataSource ID="AccessDataSource2" DataFile="~/Grid/Data/Access/Nwind.mdb"
                SelectCommand="SELECT TOP 40 ContactName, ContactTitle, City, PostalCode FROM Customers"
                runat="server"></asp:AccessDataSource>
        </div>
    </form>
</body>
</html>
